# Record TCefBrowserProcessHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBrowserProcessHandler = record`

## Description

Structure used to implement browser process callbacks. The functions of this structure will be called on the browser process main thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefBrowserProcessHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_register_custom_preferences: procedure(self: PCefBrowserProcessHandler; type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); stdcall;`
| `on_context_initialized: procedure(self: PCefBrowserProcessHandler); stdcall;`
| `on_before_child_process_launch: procedure(self: PCefBrowserProcessHandler; command_line: PCefCommandLine); stdcall;`
| `on_already_running_app_relaunch: function(self: PCefBrowserProcessHandler; command_line: PCefCommandLine; const current_directory: PCefString): integer; stdcall;`
| `on_schedule_message_pump_work: procedure(self: PCefBrowserProcessHandler; delay_ms: Int64); stdcall;`
| `get_default_client: function(self: PCefBrowserProcessHandler): PCefClient; stdcall;`
| `get_default_request_context_handler: function(self: PCefBrowserProcessHandler): PCefRequestContextHandler; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_register_custom_preferences: procedure(self: PCefBrowserProcessHandler; type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); stdcall;`
This item has no description.

| `on_context_initialized: procedure(self: PCefBrowserProcessHandler); stdcall;`
This item has no description.

| `on_before_child_process_launch: procedure(self: PCefBrowserProcessHandler; command_line: PCefCommandLine); stdcall;`
This item has no description.

| `on_already_running_app_relaunch: function(self: PCefBrowserProcessHandler; command_line: PCefCommandLine; const current_directory: PCefString): integer; stdcall;`
This item has no description.

| `on_schedule_message_pump_work: procedure(self: PCefBrowserProcessHandler; delay_ms: Int64); stdcall;`
This item has no description.

| `get_default_client: function(self: PCefBrowserProcessHandler): PCefClient; stdcall;`
This item has no description.

| `get_default_request_context_handler: function(self: PCefBrowserProcessHandler): PCefRequestContextHandler; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.